<?php

class ovaframework_hooks {

	public function __construct() {
		
		// Customize Menu Structures
		add_filter( 'wp_nav_menu_args', array( $this, 'ova_prefix_modify_nav_menu_args' ) );
		
		// Share Social in Single Post
		add_filter( 'ova_share_social', array( $this, 'ova_framework_content_social' ), 2, 10 );

		// Allow add font class to title of widget
		add_filter( 'widget_title', array( $this, 'ova_html_widget_title' ) );

		add_filter( 'widget_text', 'do_shortcode' );

    }

    /* Filter Walker for all menu */
	public function ova_prefix_modify_nav_menu_args( $args ) {
		$menu = apply_filters( 'ova_ft_wp_nav_menu_args', array_merge( $args, array(
	        'fallback_cb' 	=> 'Ova_Walker_Menu::fallback',
	        'walker' 		=> new Ova_Walker_Menu()
	    ) ), $args );

		return $menu;
	}

	public function ova_framework_content_social( $link, $title ) {
 		$html = '<ul class="share-social-icons clearfix">
			
			<li><a class="share-ico ico-facebook" target="_blank" href="http://www.facebook.com/sharer.php?u='.$link.'"><i class="fa fa-facebook"></i></a></li>
			
			<li><a class="share-ico ico-twitter" target="_blank" href="https://twitter.com/share?url='.$link.'&amp;text='.urlencode($title).'&amp;hashtags=simplesharebuttons"><i class="fab fa-twitter"></i></a></li>
			
			<li><a class="share-ico ico-google-plus" target="_blank" href="https://plus.google.com/share?url='.$link.'"><i class="fab fa-google-plus-g"></i></a></li>
			
			<li><a class="share-ico ico-tumblr" target="_blank" href="http://www.tumblr.com/share/link?url='.$link.'"><i class="fab fa-tumblr"></i></a></li>                                 
			
			
		</ul>';
		return $html;
 	}


	// Filter class in widget title
	public function ova_html_widget_title( $title ) {
		$title = str_replace( '{{', '<i class="', $title );
		$title = str_replace( '}}', '"></i>', $title );
		return $title;
	}
	

}

new ovaframework_hooks();

