<?php
namespace ova_framework\Widgets;
use Elementor;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Utils;
use Elementor\Group_Control_Typography;
use Elementor\REPEATER;



if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class ova_show_on_map extends Widget_Base {

	public function get_name() {
		return 'ova_show_on_map';
	}

	public function get_title() {
		return __( 'Show on map', 'ova-framework' );
	}

	public function get_icon() {
		return 'fa fa-map-marker-alt';
	}

	public function get_categories() {
		return [ 'hf' ];
	}

	public function get_keywords() {
		return [ 'footer', 'photo', 'info' ];
	}

	protected function register_controls() {
		$this->start_controls_section(
			'section_title',
			[
				'label' => __( 'Title', 'ova-framework' ),
			]
		);

		$this->add_control(
			'text',
			[
				'label' => __( 'Text', 'ova-framework' ),
				'type' => Controls_Manager::TEXT,
				'label_block' => true,
				'default' => __( 'SHOW ON MAP', 'ova-framework' ),
			]
		);

		$this->add_group_control(
			Group_Control_Typography::get_type(),
			[
				'name' => 'typo',
				'selector' => '{{WRAPPER}} .ova_show_on_map',
			]
		);

		$this->add_control(
			'color',
			[
				'label' => __( 'Color', 'ova-framework' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .ova_show_on_map' => 'color: {{VALUE}}',
				],
			]
		);

		$this->add_control(
			'background',
			[
				'label' => __( 'Background', 'ova-framework' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .ova_show_on_map, {{WRAPPER}} .ova_show_on_map:after' => 'background-color: {{VALUE}}',
				],
			]
		);

		$this->add_control(
			'width',
			[
				'label' => __( 'Width', 'plugin-domain' ),
				'type' => Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
						'step' => 5,
					],
					'%' => [
						'min' => 10,
						'max' => 100,
					],
				],
				'default' => [
					'unit' => '%',
				],
				'selectors' => [
					'{{WRAPPER}} .ova_show_on_map' => 'width: {{SIZE}}{{UNIT}};',
				],
			]
		);

		$this->end_controls_section();
	}

	protected function render() {
		$settings = $this->get_settings();

		?>
		
		<div class="ova_show_on_map"><?php echo $settings['text']; ?></div>

		<?php
	}

	
}

